import inherited from 'mastodon/locales/en.json';

const messages = {
  'getting_started.open_source_notice': 'Glitchsoc is free open source software forked from {Mastodon}. You can contribute or report issues on GitHub at {github}.',
  'layout.auto': 'Auto',
  'layout.current_is': 'Your current layout is:',
  'layout.desktop': 'Desktop',
  'layout.single': 'Mobile',
  'layout.hint.auto': 'Automatically chose layout based on “Enable advanced web interface” setting and screen size.',
  'layout.hint.desktop': 'Use multiple-column layout regardless of the “Enable advanced web interface” setting or screen size.',
  'layout.hint.single': 'Use single-column layout regardless of the “Enable advanced web interface” setting or screen size.',
  'navigation_bar.app_settings': 'App settings',
  'navigation_bar.misc': 'Misc',
  'navigation_bar.keyboard_shortcuts': 'Keyboard shortcuts',
  'navigation_bar.info': 'Extended information',
  'navigation_bar.featured_users': 'Featured users',
  'getting_started.onboarding': 'Show me around',
  'onboarding.next': 'Next',
  'onboarding.done': 'Done',
  'onboarding.skip': 'Skip',
  'onboarding.page_one.federation': '{domain} is an \'instance\' of Mastodon. Mastodon is a network of independent servers joining up to make one larger social network. We call these servers instances.',
  'onboarding.page_one.welcome': 'Welcome to {domain}!',
  'onboarding.page_one.handle': 'You are on {domain}, so your full handle is {handle}',
  'onboarding.page_two.compose': 'Write posts from the compose column. You can upload images, change privacy settings, and add content warnings with the icons below.',
  'onboarding.page_three.search': 'Use the search bar to find people and look at hashtags, such as {illustration} and {introductions}. To look for a person who is not on this instance, use their full handle.',
  'onboarding.page_three.profile': 'Edit your profile to change your avatar, bio, and display name. There, you will also find other preferences.',
  'onboarding.page_four.home': 'The home timeline shows posts from people you follow.',
  'onboarding.page_four.notifications': 'The notifications column shows when someone interacts with you.',
  'onboarding.page_five.public_timelines': 'The local timeline shows public posts from everyone on {domain}. The federated timeline shows public posts from everyone who people on {domain} follow. These are the Public Timelines, a great way to discover new people.',
  'onboarding.page_six.admin': 'Your instance\'s admin is {admin}.',
  'onboarding.page_six.read_guidelines': 'Please read {domain}\'s {guidelines}!',
  'onboarding.page_six.guidelines': 'community guidelines',
  'onboarding.page_six.almost_done': 'Almost done...',
  'onboarding.page_six.github': '{domain} runs on Glitchsoc. Glitchsoc is a friendly {fork} of {Mastodon}, and is compatible with any Mastodon instance or app. Glitchsoc is entirely free and open-source. You can report bugs, request features, or contribute to the code on {github}.',
  'onboarding.page_six.apps_available': 'There are {apps} available for iOS, Android and other platforms.',
  'onboarding.page_six.various_app': 'mobile apps',
  'onboarding.page_six.appetoot': 'Bon Appetoot!',
  'settings.auto_collapse': 'Automatic collapsing',
  'settings.auto_collapse_all': 'Everything',
  'settings.auto_collapse_lengthy': 'Lengthy toots',
  'settings.auto_collapse_media': 'Toots with media',
  'settings.auto_collapse_notifications': 'Notifications',
  'settings.auto_collapse_reblogs': 'Boosts',
  'settings.auto_collapse_replies': 'Replies',
  'settings.show_action_bar': 'Show action buttons in collapsed toots',
  'settings.close': 'Close',
  'settings.collapsed_statuses': 'Collapsed toots',
  'settings.enable_collapsed': 'Enable collapsed toots',
  'settings.enable_collapsed_hint': 'Collapsed posts have parts of their contents hidden to take up less screen space. This is distinct from the Content Warning feature',
  'settings.general': 'General',
  'settings.compose_box_opts': 'Compose box',
  'settings.side_arm': 'Secondary toot button:',
  'settings.side_arm.none': 'None',
  'settings.side_arm_reply_mode': 'When replying to a toot, the secondary toot button should:',
  'settings.side_arm_reply_mode.keep': 'Keep its set privacy',
  'settings.side_arm_reply_mode.copy': 'Copy privacy setting of the toot being replied to',
  'settings.side_arm_reply_mode.restrict': 'Restrict privacy setting to that of the toot being replied to',
  'settings.always_show_spoilers_field': 'Always enable the Content Warning field',
  'settings.prepend_cw_re': 'Prepend “re: ” to content warnings when replying',
  'settings.preselect_on_reply': 'Pre-select usernames on reply',
  'settings.preselect_on_reply_hint': 'When replying to a conversation with multiple participants, pre-select usernames past the first',
  'settings.confirm_missing_media_description': 'Show confirmation dialog before sending toots lacking media descriptions',
  'settings.confirm_before_clearing_draft': 'Show confirmation dialog before overwriting the message being composed',
  'settings.show_content_type_choice': 'Show content-type choice when authoring toots',
  'settings.content_warnings': 'Content Warnings',
  'settings.content_warnings.regexp': 'Regular expression',
  'settings.content_warnings_shared_state': 'Show/hide content of all copies at once',
  'settings.content_warnings_shared_state_hint': 'Reproduce upstream Mastodon behavior by having the Content Warning button affect all copies of a post at once. This will prevent automatic collapsing of any copy of a toot with unfolded CW',
  'settings.content_warnings_media_outside': 'Display media attachments outside content warnings',
  'settings.content_warnings_media_outside_hint': 'Reproduce upstream Mastodon behavior by having the Content Warning toggle not affect media attachments',
  'settings.content_warnings_unfold_opts': 'Auto-unfolding options',
  'settings.enable_content_warnings_auto_unfold': 'Automatically unfold content-warnings',
  'settings.deprecated_setting': 'This setting is now controlled from Mastodon\'s {settings_page_link}',
  'settings.shared_settings_link': 'user preferences',
  'settings.content_warnings_filter': 'Content warnings to not automatically unfold:',
  'settings.layout_opts': 'Layout options',
  'settings.rewrite_mentions_no': 'Do not rewrite mentions',
  'settings.rewrite_mentions_acct': 'Rewrite with username and domain (when the account is remote)',
  'settings.rewrite_mentions_username': 'Rewrite with username',
  'settings.show_reply_counter': 'Display an estimate of the reply count',
  'settings.hicolor_privacy_icons': 'High color privacy icons',
  'settings.hicolor_privacy_icons.hint': 'Display privacy icons in bright and easily distinguishable colors',
  'settings.confirm_boost_missing_media_description': 'Show confirmation dialog before boosting toots lacking media descriptions',
  'settings.tag_misleading_links': 'Tag misleading links',
  'settings.tag_misleading_links.hint': 'Add a visual indication with the link target host to every link not mentioning it explicitly',
  'settings.rewrite_mentions': 'Rewrite mentions in displayed statuses',
  'settings.notifications_opts': 'Notifications options',
  'settings.notifications.tab_badge': 'Unread notifications badge',
  'settings.notifications.tab_badge.hint': 'Display a badge for unread notifications in the column icons when the notifications column isn\'t open',
  'settings.notifications.favicon_badge': 'Unread notifications favicon badge',
  'settings.notifications.favicon_badge.hint': 'Add a badge for unread notifications to the favicon',
  'settings.status_icons': 'Toot icons',
  'settings.status_icons_language': 'Language indicator',
  'settings.status_icons_reply': 'Reply indicator',
  'settings.status_icons_local_only': 'Local-only indicator',
  'settings.status_icons_media': 'Media and poll indicators',
  'settings.status_icons_visibility': 'Toot privacy indicator',
  'settings.layout': 'Layout:',
  'settings.image_backgrounds': 'Image backgrounds',
  'settings.image_backgrounds_media': 'Preview collapsed toot media',
  'settings.image_backgrounds_media_hint': 'If the post has any media attachment, use the first one as a background',
  'settings.image_backgrounds_users': 'Give collapsed toots an image background',
  'settings.media': 'Media',
  'settings.media_letterbox': 'Letterbox media',
  'settings.media_letterbox_hint': 'Scale down and letterbox media to fill the image containers instead of stretching and cropping them',
  'settings.media_fullwidth': 'Full-width media previews',
  'settings.inline_preview_cards': 'Inline preview cards for external links',
  'settings.media_reveal_behind_cw': 'Reveal sensitive media behind a CW by default',
  'settings.pop_in_player': 'Enable pop-in player',
  'settings.pop_in_position': 'Pop-in player position:',
  'settings.pop_in_left': 'Left',
  'settings.pop_in_right': 'Right',
  'settings.preferences': 'User preferences',
  'settings.wide_view': 'Wide view (Desktop mode only)',
  'settings.wide_view_hint': 'Stretches columns to better fill the available space.',
  'settings.navbar_under': 'Navbar at the bottom (Mobile only)',
  'status.collapse': 'Collapse',
  'status.react': 'React',
  'status.uncollapse': 'Uncollapse',
  'status.in_reply_to': 'This toot is a reply',
  'status.has_preview_card': 'Features an attached preview card',
  'status.has_pictures': 'Features attached pictures',
  'status.is_poll': 'This toot is a poll',
  'status.has_video': 'Features attached videos',
  'status.has_audio': 'Features attached audio files',
  'status.local_only': 'Only visible from your instance',

  'content_type.change': 'Content type',
  'compose.content-type.html': 'HTML',
  'compose.content-type.markdown': 'Markdown',
  'compose.content-type.plain': 'Plain text',

  'compose_form.poll.single_choice': 'Allow one choice',
  'compose_form.poll.multiple_choices': 'Allow multiple choices',
  'compose_form.spoiler': 'Hide text behind warning',

  'column.toot': 'Toots and replies',
  'column_header.profile': 'Profile',
  'column.heading': 'Misc',
  'column.subheading': 'Miscellaneous options',
  'column_subheading.navigation': 'Navigation',
  'column_subheading.lists': 'Lists',

  'media_gallery.sensitive': 'Sensitive',

  'favourite_modal.combo': 'You can press {combo} to skip this next time',

  'home.column_settings.show_direct': 'Show DMs',

  'notification.markForDeletion': 'Mark for deletion',
  'notification.reaction': '{name} reacted to your post',
  'notifications.clear': 'Clear all my notifications',
  'notifications.column_settings.reaction': 'Reactions:',
  'notifications.marked_clear_confirmation': 'Are you sure you want to permanently clear all selected notifications?',
  'notifications.marked_clear': 'Clear selected notifications',

  'notification_purge.start': 'Enter notification cleaning mode',
  'notification_purge.btn_all': 'Select\nall',
  'notification_purge.btn_none': 'Select\nnone',
  'notification_purge.btn_invert': 'Invert\nselection',
  'notification_purge.btn_apply': 'Clear\nselected',

  'compose.attach.upload': 'Upload a file',
  'compose.attach.doodle': 'Draw something',
  'compose.attach': 'Attach...',

  'advanced_options.local-only.short': 'Local-only',
  'advanced_options.local-only.long': 'Do not post to other instances',
  'advanced_options.local-only.tooltip': 'This post is local-only',
  'advanced_options.icon_title': 'Advanced options',
  'advanced_options.threaded_mode.short': 'Threaded mode',
  'advanced_options.threaded_mode.long': 'Automatically opens a reply on posting',
  'advanced_options.threaded_mode.tooltip': 'Threaded mode enabled',

  'endorsed_accounts_editor.endorsed_accounts': 'Featured accounts',

  'account.add_account_note': 'Add note for @{name}',
  'account_note.cancel': 'Cancel',
  'account_note.save': 'Save',
  'account_note.edit': 'Edit',
  'account_note.glitch_placeholder': 'No comment provided',
  'account.joined': 'Joined {date}',
  'account.follows': 'Follows',

  'home.column_settings.advanced': 'Advanced',
  'home.column_settings.filter_regex': 'Filter out by regular expressions',
  'direct.group_by_conversations': 'Group by conversation',
  'community.column_settings.allow_local_only': 'Show local-only toots',

  'keyboard_shortcuts.bookmark': 'to bookmark',
  'keyboard_shortcuts.toggle_collapse': 'to collapse/uncollapse toots',
  'keyboard_shortcuts.secondary_toot': 'to send toot using secondary privacy setting',

  'tooltips.reactions': 'Reactions',
};

export default Object.assign({}, inherited, messages);
